-- create rate table

CREATE TABLE rate (
	currency	VARCHAR(3) NOT NULL,
	applydate	VARCHAR(6) NOT NULL,
	roerate		DOUBLE,
	localrate	DOUBLE,
	day5rate	DOUBLE,
	meanrate	DOUBLE,
CONSTRAINT pk_rate
	UNIQUE KEY (currency, applydate)
);

-- create proratefactor table

CREATE TABLE proratefactor (
	depcity		VARCHAR(3),
	destcity	VARCHAR(3),
	applydate	VARCHAR(8),
	proratefactor	DOUBLE,
CONSTRAINT pk_proratefactor
	UNIQUE KEY (depcity, destcity, applydate)
);

-- create baseamount table

CREATE TABLE baseamount (
	carrier		VARCHAR(2),
	class1		CHAR,
	depcity		VARCHAR(3),
	destcity	VARCHAR(3),
	applystart	VARCHAR(8),
	applyexpiration	VARCHAR(8),
	currency	VARCHAR(3),
	baseamount	DOUBLE,
CONSTRAINT pk_baseamount
	UNIQUE KEY (carrier, class1, depcity, destcity, applystart, applyexpiration)
);

-- create airportm table

CREATE TABLE airportm (
	letter3code	VARCHAR(3) PRIMARY KEY,
	airportname	VARCHAR(37),
	country		VARCHAR(29),
	area		VARCHAR(28)
);

-- create airportchg table

CREATE TABLE airportchg (
	airport		VARCHAR(3) PRIMARY KEY,
	city		VARCHAR(3)
);

-- create airway table

CREATE TABLE airway (
	airlinecode	VARCHAR(11) PRIMARY KEY,
	letter2code	VARCHAR(2),
	airlinename	VARCHAR(60),
	letter3code	VARCHAR(3)
);

-- create codeshare

CREATE TABLE codeshare (
 MKCARRIER			 VARCHAR(2) NOT NULL,
 FLIGHTNO			 VARCHAR(4) NOT NULL,
 FLIGHTCARRIER			 VARCHAR(2),
 TERMSCODE			 VARCHAR(1),
 SPACODE			 VARCHAR(1),
CONSTRAINT pk_codeshare
	UNIQUE KEY (mkcarrier, flightno)
);

-- create minimumcheck

CREATE TABLE minimumcheck (
 STARTDATE			 VARCHAR(8) NOT NULL,
 ENDDATE			 VARCHAR(8) NOT NULL,
 minimumpercent			 DOUBLE,
CONSTRAINT pk_minimumcheck
	UNIQUE KEY (startdate, enddate)
);

-- create taxcd

CREATE TABLE taxcd (
 TAXCODE			 VARCHAR(2) NOT NULL,
 TAXCOUNTRY			 VARCHAR(30) NOT NULL,
 TAXCITY1			 VARCHAR(3),
 TAXCITY2			 VARCHAR(3),
 TAXCITY3			 VARCHAR(3),
 TAXCITY4			 VARCHAR(3),
 TAXCITY5			 VARCHAR(3),
 TAXCITY6			 VARCHAR(3),
 TAXCITY7			 VARCHAR(3),
 TAXCITY8			 VARCHAR(3),
 TAXCITY9			 VARCHAR(3),
 TAXCITY10			 VARCHAR(3),
 TERMSNUM1			 VARCHAR(2),
 TERMSNUM2			 VARCHAR(2),
 TERMSNUM3			 VARCHAR(2),
CONSTRAINT pk_taxcd
	UNIQUE KEY (taxcode, taxcountry)
);

-- create farecodes

CREATE TABLE farecodes (
 ID				NUMERIC PRIMARY KEY,
 TYPE				NUMERIC,
 CODE				VARCHAR(8)
);

-- create country table

CREATE TABLE country (
	country		VARCHAR(29) PRIMARY KEY,
	area		VARCHAR(28),
	countrycd	VARCHAR(3)
);

-- create classchg table

CREATE TABLE classchg (
	class		CHAR PRIMARY KEY,
	mainclass	CHAR
);

-- create sia table

CREATE TABLE sia (
	mkcarrier	VARCHAR(2) NOT NULL,
	flightno	VARCHAR(4) NOT NULL,
	flightcarrier	VARCHAR(2),
	codeshareflag   CHAR(1)	Default '1'	NOT NULL,
	applystart	VARCHAR(8) NOT NULL,
	applyexpiration	VARCHAR(8) NOT NULL,
CONSTRAINT pk_sia
	UNIQUE KEY (mkcarrier, flightno, applystart, applyexpiration)
);

-- create agency table

CREATE TABLE agency (
	agentcd		VARCHAR(8) PRIMARY KEY,
	agentclass	VARCHAR(2) NOT NULL,
	iataagentcd	VARCHAR(8) NOT NULL,
	countrycd	VARCHAR(3) NOT NULL
);
